
From: Andi Kleen <ak@suse.de>

Try this (untested) patch

(2.6 version untested, I tested a similar patch on the 2.4 backport of
ACPI):



 25-akpm/arch/i386/pci/acpi.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/pci/acpi.c~acpi_off-fix arch/i386/pci/acpi.c
--- 25/arch/i386/pci/acpi.c~acpi_off-fix	Tue Sep  9 12:12:00 2003
+++ 25-akpm/arch/i386/pci/acpi.c	Tue Sep  9 12:12:00 2003
@@ -15,10 +15,11 @@ struct pci_bus * __devinit pci_acpi_scan
 
 static int __init pci_acpi_init(void)
 {
+	extern int acpi_disabled;
 	if (pcibios_scanned)
 		return 0;
 
-	if (!(pci_probe & PCI_NO_ACPI_ROUTING)) {
+	if (!(pci_probe & PCI_NO_ACPI_ROUTING) && !acpi_disabled) {
 		if (!acpi_pci_irq_init()) {
 			printk(KERN_INFO "PCI: Using ACPI for IRQ routing\n");
 			printk(KERN_INFO "PCI: if you experience problems, try using option 'pci=noacpi' or even 'acpi=off'\n");

_
